## BtWaveListModel BtWaveListModel — data model class for widgets showing waves of a wavetable |

## Functions

BtWave * | bt_wave_list_model_get_object ()
BtWaveListModel * | bt_wave_list_model_new ()

## Types and Values

struct | BtWaveListModel

## Object Hierarchy

        GObject
        ╰── BtWaveListModel

## Implemented Interfaces

BtWaveListModel implements GtkTreeModel.

## Includes

    #include "bt-edit.h"

## Description

A generic model representing the waves of a wavetable, suitable for combo-boxes and treeview widgets.

## Functions

### bt_wave_list_model_get_object ()

    BtWave *
    bt_wave_list_model_get_object (BtWaveListModel *model,
                                   GtkTreeIter *iter);

Lookup a wave.

#### Parameters

model | the model |
iter | the iter |

#### Returns

the BtWave for the iter. Unref when done.

### bt_wave_list_model_new ()

    BtWaveListModel *
    bt_wave_list_model_new (BtWavetable *wavetable);

Creates a list model of waves for the `wavetable` . The model is automatically updated when waves are added, removed or changed.

#### Parameters

wavetable | the wavetable |

#### Returns

the wave-list model.

## Types and Values

### struct BtWaveListModel

    struct BtWaveListModel;

Data model for GtkTreeView or GtkComboBox.